[Lunar-commits] <moonbase> incron: an "inotify cron" daemon.
Florin Braescu
florin at lunar-linux.org
Fri Aug 22 16:31:01 CEST 2008
commit 76a84f0fa3b7fb1b5ced4b0bf3e3db9cb9eddcc5
Author: Florin Braescu <florin at lunar-linux.org>
Date: Fri Aug 22 17:31:01 2008 +0300
incron: an "inotify cron" daemon.
A very useful daemon.
---
utils/incron/BUILD | 7 +++++++
utils/incron/DETAILS | 31 +++++++++++++++++++++++++++++++
utils/incron/init.d/incrond | 20 ++++++++++++++++++++
3 files changed, 58 insertions(+), 0 deletions(-)
diff --git a/utils/incron/BUILD b/utils/incron/BUILD
new file mode 100644
index 0000000..58893cd
--- /dev/null
+++ b/utils/incron/BUILD
@@ -0,0 +1,7 @@
+(
+
+ sedit "s:/usr/local:/usr:" Makefile &&
+
+ default_make
+
+) > $C_FIFO 2>&1
diff --git a/utils/incron/DETAILS b/utils/incron/DETAILS
new file mode 100644
index 0000000..194ffbd
--- /dev/null
+++ b/utils/incron/DETAILS
@@ -0,0 +1,31 @@
+ MODULE=incron
+ VERSION=0.5.7
+ SOURCE=$MODULE-$VERSION.tar.bz2
+ SOURCE_URL=http://inotify.aiken.cz/download/$MODULE
+ SOURCE_VFY=sha1:d3a45600990bbacfeb8a434f1b9d8dcd726f9452
+ WEB_SITE=http://inotify.aiken.cz/?section=incron&page=about&lang=en
+ ENTERED=20080822
+ UPDATED=20080822
+ SHORT="An 'inotify cron' system"
+
+cat << EOF
+This program is an "inotify cron" system. It works like the regular
+cron but is driven by filesystem events instead of time periods. It
+contains two programs, a daemon called "incrond" (analogous to crond)
+and a table manipulator "incrontab" (like "crontab").
+You can use it a similar way as the regular cron. The difference is
+that the inotify cron handles filesystem events rather than time
+periods.
+
+Here you can see a few examples where incron is a good solution:
+ -notifying programs (e.g. server daemons) about changes in
+ configuration
+ -guarding changes in critical files (with their eventual recovery)
+ -file usage monitoring, statistics
+ -automatic on-crash cleanup
+ -automatic on-change backup or versioning
+ -new mail notification (for maildir)
+ -server upload notification
+ -installation management (outside packaging systems)
+ -...and many others
+EOF
diff --git a/utils/incron/init.d/incrond b/utils/incron/init.d/incrond
new file mode 100644
index 0000000..fd8afba
--- /dev/null
+++ b/utils/incron/init.d/incrond
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# incrond This shell script enables the incrond daemon
+#
+# chkconfig: - 97 03
+#
+# description: This is a daemon which works like cron, but handles filesystem events
+# instead of time periods.
+# and can send notifications via mail, dbus or syslog.
+# processname: incrond
+# pidfile: /var/run/incrond.pid
+
+
+start() {
+ echo -n $"Starting incrond: "
+ incrond && echo -e $RESULT_OK || echo -e $RESULT_FAIL
+ echo
+}
+
+. /lib/lsb/init-functions
More information about the Lunar-commits
mailing list